"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MockGeoPoint_1 = require("../MockGeoPoint");
describe('GeoPoint', function () {
    it('will create an GeoPoint instance', function () {
        var geo = new MockGeoPoint_1.MockGeoPoint(1, 2);
        expect(geo.latitude).toBe(1);
        expect(geo.longitude).toBe(2);
    });
    it('will match two GeoPoint instances', function () {
        var geo = new MockGeoPoint_1.MockGeoPoint(1, 2);
        expect(geo.isEqual(new MockGeoPoint_1.MockGeoPoint(1, 2))).toBe(true);
    });
    it('will unmatch two different GeoPoint instances', function () {
        var geo = new MockGeoPoint_1.MockGeoPoint(1, 2);
        expect(geo.isEqual(new MockGeoPoint_1.MockGeoPoint(1, 3))).toBe(false);
    });
});
//# sourceMappingURL=GeoPoint.spec.js.map