import { FieldPath, WhereFilterOp, DocumentData } from '@firebase/firestore-types';
import MockDocumentReference from '../MockDocumentReference';
import { MockQueryWhereRule } from '../MockQuery';
export declare type MatchFunction = (doc: MockDocumentReference) => boolean;
export declare function createFirestoreMatchRuleFunction(fieldPath: string | FieldPath, opStr: WhereFilterOp, value: any): MatchFunction;
export declare function filterDocumentsByRules<T = DocumentData>(docs: MockDocumentReference<T>[], rules?: MockQueryWhereRule[]): MockDocumentReference<T>[];
