import { MultiFactorUser, MultiFactorInfo, MultiFactorAssertion, MultiFactorSession } from '@firebase/auth-types';
export declare class MockMultiFactorUser implements MultiFactorUser {
    get enrolledFactors(): MultiFactorInfo[];
    enroll: (assertion: MultiFactorAssertion, displayName?: string | null | undefined) => Promise<void>;
    getSession: () => Promise<MultiFactorSession>;
    unenroll: (option: string | MultiFactorInfo) => Promise<void>;
    private _enrolledFactors;
}
