"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var NotImplementedYet_1 = require("../firestore/utils/NotImplementedYet");
var MockFirebaseAuth = /** @class */ (function () {
    function MockFirebaseAuth(app) {
        this.app = app;
        this.tenantId = null;
        this._user = null;
        this.applyActionCode = function (code) {
            throw new NotImplementedYet_1.NotImplementedYet('applyActionCode');
        };
        this.checkActionCode = function (code) {
            throw new NotImplementedYet_1.NotImplementedYet('checkActionCode');
        };
        this.confirmPasswordReset = function (code, newPassword) {
            throw new NotImplementedYet_1.NotImplementedYet('confirmPasswordReset');
        };
        this.createUserWithEmailAndPassword = function (email, password) {
            throw new NotImplementedYet_1.NotImplementedYet('createUserWithEmailAndPassword');
        };
        this.createUserAndRetrieveDataWithEmailAndPassword = function (email, password) {
            throw new NotImplementedYet_1.NotImplementedYet('createUserAndRetrieveDataWithEmailAndPassword');
        };
        this.fetchProvidersForEmail = function (email) {
            throw new NotImplementedYet_1.NotImplementedYet('fetchProvidersForEmail');
        };
        this.fetchSignInMethodsForEmail = function (email) {
            throw new NotImplementedYet_1.NotImplementedYet('fetchSignInMethodsForEmail');
        };
        this.isSignInWithEmailLink = function (emailLink) {
            throw new NotImplementedYet_1.NotImplementedYet('isSignInWithEmailLink');
        };
        this.getRedirectResult = function () {
            throw new NotImplementedYet_1.NotImplementedYet('getRedirectResult');
        };
        this.onAuthStateChanged = function (nextOrObserver, error, completed) {
            throw new NotImplementedYet_1.NotImplementedYet('onAuthStateChanged');
        };
        this.onIdTokenChanged = function (nextOrObserver, error, completed) {
            throw new NotImplementedYet_1.NotImplementedYet('onIdTokenChanged');
        };
        this.sendSignInLinkToEmail = function (email, actionCodeSettings) {
            throw new NotImplementedYet_1.NotImplementedYet('sendSignInLinkToEmail');
        };
        this.sendPasswordResetEmail = function (email, actionCodeSettings) {
            throw new NotImplementedYet_1.NotImplementedYet('sendPasswordResetEmail');
        };
        this.setPersistence = function (persistence) {
            throw new NotImplementedYet_1.NotImplementedYet('setPersistence');
        };
        this.signInAndRetrieveDataWithCredential = function (credential) {
            throw new NotImplementedYet_1.NotImplementedYet('signInAndRetrieveDataWithCredential');
        };
        this.signInAnonymously = function () {
            throw new NotImplementedYet_1.NotImplementedYet('signInAnonymously');
        };
        this.signInAnonymouslyAndRetrieveData = function () {
            throw new NotImplementedYet_1.NotImplementedYet('signInAnonymouslyAndRetrieveData');
        };
        this.signInWithCredential = function (credential) {
            throw new NotImplementedYet_1.NotImplementedYet('signInWithCredential');
        };
        this.signInWithCustomToken = function (token) {
            throw new NotImplementedYet_1.NotImplementedYet('signInWithCustomToken');
        };
        this.signInAndRetrieveDataWithCustomToken = function (token) {
            throw new NotImplementedYet_1.NotImplementedYet('signInAndRetrieveDataWithCustomToken');
        };
        this.signInWithEmailAndPassword = function (email, password) {
            throw new NotImplementedYet_1.NotImplementedYet('signInWithEmailAndPassword');
        };
        this.signInAndRetrieveDataWithEmailAndPassword = function (email, password) {
            throw new NotImplementedYet_1.NotImplementedYet('signInAndRetrieveDataWithEmailAndPassword');
        };
        this.signInWithEmailLink = function (email, emailLink) {
            throw new NotImplementedYet_1.NotImplementedYet('signInWithEmailLink');
        };
        this.signInWithPhoneNumber = function (phoneNumber, applicationVerifier) {
            throw new NotImplementedYet_1.NotImplementedYet('signInWithPhoneNumber');
        };
        this.signInWithPopup = function (provider) {
            throw new NotImplementedYet_1.NotImplementedYet('signInWithPopup');
        };
        this.signInWithRedirect = function (provider) {
            throw new NotImplementedYet_1.NotImplementedYet('signInWithRedirect');
        };
        this.signOut = function () {
            throw new NotImplementedYet_1.NotImplementedYet('signOut');
        };
        this.updateCurrentUser = function (user) {
            throw new NotImplementedYet_1.NotImplementedYet('updateCurrentUser');
        };
        this.useDeviceLanguage = function () {
            throw new NotImplementedYet_1.NotImplementedYet('useDeviceLanguage');
        };
        this.verifyPasswordResetCode = function (code) {
            throw new NotImplementedYet_1.NotImplementedYet('verifyPasswordResetCode');
        };
    }
    Object.defineProperty(MockFirebaseAuth.prototype, "currentUser", {
        get: function () {
            return this._user;
        },
        set: function (user) {
            this._user = user;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(MockFirebaseAuth.prototype, "languageCode", {
        get: function () {
            throw new NotImplementedYet_1.NotImplementedYet('languageCode');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(MockFirebaseAuth.prototype, "settings", {
        get: function () {
            throw new NotImplementedYet_1.NotImplementedYet('settings');
        },
        enumerable: true,
        configurable: true
    });
    return MockFirebaseAuth;
}());
exports.default = MockFirebaseAuth;
//# sourceMappingURL=index.js.map