"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var app_1 = require("../../app");
var firebase = app_1.createFirebaseNamespace();
var firestore = firebase.initializeApp({}).firestore();
describe('Firestore references', function () {
    describe('Collection References', function () {
        it('Will return a reference to collection', function () {
            var ref = firestore.collection('users');
            expect(ref).toBeDefined();
        });
        describe('Reference paths', function () {
            it('Collections has equal path', function () {
                var ref = firestore.collection('company/mindhive/users');
                expect(ref.path).toMatch('company/mindhive/users');
            });
            it('Documents has equal path', function () {
                var ref = firestore.doc('company/mindhive/users/ville');
                expect(ref.path).toMatch('company/mindhive/users/ville');
            });
        });
    });
});
//# sourceMappingURL=references.spec.js.map