import { MockFirebaseFirestore } from '@firebase/app-types';
/**
 * Copy properties from source to target (recursively allows extension
 * of Objects and Arrays).  Scalar values in the target are over-written.
 * If target is undefined, an object of the appropriate type will be created
 * (and returned).
 *
 * We recursively copy all child properties of plain Objects in the source- so
 * that namespace- like dictionaries are merged.
 *
 * Note that the target can be a function, in which case the properties in
 * the source Object are copied onto it as static properties of the Function.
 */
export declare function processAndDeepMerge(firestore: MockFirebaseFirestore, target: any, source: any): any;
export declare function shallowCopy(obj: any): any;
