"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var app_1 = require("./app");
var firestore = require("./firestore");
// TODO change this to create a separate implementations for different target environments
var firebase = app_1.createFirebaseNamespace();
function mockFirebase() {
    // (app.firestore as any) = (appName: string = DEFAULT_ENTRY_NAME) => {
    //   const instance: MockFirebaseApp | undefined = firebase.apps.find(a => a.name === appName) ;
    //   if (!instance) {
    //     throw new Error('No instance initialized for app name: ' + appName);
    //   }
    //   return instance.firestore();
    // };
    // (app.firestore as any).FieldPath = firestore.MockFieldPath;
    // (app.firestore as any).FieldValue = firestore.MockFieldValue;
    // (app.firestore as any).Blob = firestore.MockBlob;
    // (app.firestore as any).Timestamp = firestore.MockTimestamp;
    // (app.firestore as any).GeoPoint = firestore.MockGeoPoint;
    return firebase;
}
exports.mockFirebase = mockFirebase;
function mockFirebaseAdmin() {
    var adminApp = __assign({}, firebase);
    adminApp.firestore = function (appName) {
        if (appName === void 0) { appName = app_1.DEFAULT_ENTRY_NAME; }
        var instance = firebase.apps.find(function (a) { return a.name === appName; });
        if (!instance) {
            throw new Error('No instance initialized for app name: ' + appName);
        }
        return instance.firestore();
    };
    adminApp.firestore.FieldPath = firestore.MockFieldPath;
    adminApp.firestore.FieldValue = firestore.MockFieldValue;
    adminApp.firestore.Blob = firestore.MockBlob;
    adminApp.firestore.Timestamp = firestore.MockTimestamp;
    adminApp.firestore.GeoPoint = firestore.MockGeoPoint;
    return adminApp;
}
exports.mockFirebaseAdmin = mockFirebaseAdmin;
function exposeMockFirebaseAdminApp(app) {
    return app;
}
exports.exposeMockFirebaseAdminApp = exposeMockFirebaseAdminApp;
function exposeMockFirebaseApp(app) {
    return app;
}
exports.exposeMockFirebaseApp = exposeMockFirebaseApp;
__export(require("./app"));
__export(require("./auth"));
__export(require("./firestore"));
__export(require("./utils"));
exports.default = mockFirebase;
//# sourceMappingURL=index.js.map