"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Calculate an hash number for a given string
 *
 * @export
 * @param {string} source
 * @returns {number}
 */
function hash(source) {
    var value = 0;
    for (var _i = 0, source_1 = source; _i < source_1.length; _i++) {
        var char = source_1[_i];
        // tslint:disable-next-line: no-bitwise
        value |= (value << 5) - value + parseInt(char, 0);
    }
    return value;
}
exports.hash = hash;
//# sourceMappingURL=stringUtils.js.map